Bug 493907 - S-c-tools cleanup: port to PolicyKit
S-c-tools cleanup: port to PolicyKit
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
19
All Linux
low Severity medium
: ---
: ---
Assigned To: Orphan Owner
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks: 493620
  Show dependency treegraph
 
Reported: 2009-04-03 06:12 EDT by Roman Rakus
Modified: 2015-02-18 06:58 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 06:58:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Roman Rakus 2009-04-03 06:12:33 EDT
Description of problem:
It's not a good approach to let system config tool runn
under superuser account - it's a security risk. Instead
each tools which needs users privileges should be divided
to two parts - one which serves as privileged backend
running on demand and user interface that can ask for
privileged action over message bus (and ask password if 
needed). Once action is approved by PolicyKit, it can be
processed.

Every tool should be ported to use PolicyKit.

How reproducible:
Steps to Reproduce

Actual results:
System config tool has to be run under superuser account.

Expected results
System config tool is not runned under superuser account
and asks for privileged access. 

Additional info
Look at https://fedorahosted.org/python-slip/
Comment 1 Matěj Cepl 2009-11-05 12:12:50 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages (at least F12Beta, but even better if the very latest versions).

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 2 Roman Rakus 2009-12-07 11:23:52 EST
This bug still presents.
Comment 3 Fedora End Of Life 2013-04-03 16:03:19 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 5 Fedora End Of Life 2015-01-09 16:39:12 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-02-18 06:58:55 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.